%bcond_without  tests

%global         srcname     azure-mgmt-rdbms

Name:           python-%{srcname}
Version:        9.1.0b1
Release:        1%{?dist}
Summary:        Microsoft Azure RDBMS Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}

BuildArch:      noarch

Epoch:          1

Obsoletes:      python-azure-sdk < 5.0.1

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
%endif

%global _description %{expand:
Microsoft Azure RDBMS Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%if %{with tests}
%check
%pytest
%endif


# LICENSE missing. Made PR to fix:
# https://github.com/Azure/azure-sdk-for-python/pull/20176
%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
* Mon Aug 09 2021 Major Hayden <major@mhtx.net> - 1:9.1.0b1-1
- Update to 9.1.0b1

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:8.1.0b4-2
- Add epoch number for 8.1.0b4 downgrade

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> - 8.1.0b4-1
- Downgrade to 8.1.0b4

* Tue Jul 20 2021 Major Hayden <major@mhtx.net> - 9.0.0-1
- Update to 9.0.0

* Tue Jun 01 2021 Major Hayden <major@mhtx.net> - 8.1.0-1
- First package.
